%define _prefix /scisoft
%define _docdir %{_prefix}/doc

# Disable debuginfo since we are delivering prebuilt binaries.
%define debug_package %{nil}

# Set __arch_install_post to nil to disable check-rpmbuild after install, 
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}

Name:           scisoft-virgo
Version:        1.4.5
Release:        1%{?dist}
Summary:        Visual Browser for the ESO Science Archive
Distribution:   Scisoft
Group:          Applications/Scientific
License:        European Southern Observatory
Packager:       Carlos Guirao
URL:            http://archive.eso.org/cms/tools-documentation/visual-archive-browser.html
Source0:        ftp://ftp.eso.org/projects/virgo/VirGO-%{version}-linux32.tar.gz
Source1:        ftp://ftp.eso.org/projects/virgo/VirGO-UserGuide-%{version}.pdf

AutoReqProv:    no
Requires:       zlib(x86-32)
Requires:       libXi(x86-32)
Requires:       mesa-libGL-devel(x86-32)
Requires:       glibc(x86-32)
Requires:       qt(x86-32)
Requires:       libjpeg-turbo-devel(x86-32)
Requires:       qt-x11(x86-32)
Requires:       openssl-libs(x86-32)
Requires:       mesa-libGLU-devel(x86-32)
Requires:       libpng12-devel(x86-32)

%description
VirGO is the next generation Visual Browser for the ESO Science Archive
Facility (SAF) developed in the Virtual Observatory Project Office (VOP),
and is a plug-in for the open source (GPL) planetarium software Stellarium. 
VirGO gives astronomers the possibility to easily discover and select data 
from millions of observations in a visual and intuitive way. It allows
real-time access and graphical display of a large number of observations 
by showing instrumental footprints and image previews, as well as their 
selection and filtering for subsequent download from the ESO SAF web interface.

%prep
%setup -q -n VirGO-%{version}-linux32

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_docdir}/virgo
install -m 755 -d %{buildroot}%{_datadir}
install -m 755 -d %{buildroot}%{_datadir}/licenses
cp -r %{_builddir}/VirGO-%{version}-linux32 %{buildroot}%{_datadir}/virgo
install -m 644 %{SOURCE1} %{buildroot}%{_docdir}/virgo/

{
echo "#!/bin/bash"
echo "cd %{_datadir}/virgo"
echo "(export LD_LIBRARY_PATH=%{_datadir}/virgo; ./VirGO.sh)"
} > %{buildroot}%{_bindir}/virgo
chmod +x %{buildroot}%{_bindir}/virgo

%files
%dir %{_datadir}/licenses
%docdir %{_docdir}
%license COPYING
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 1.4.5
- Incorporated into automated build system for Scisoft.
- Updated to use standard RPM path location macros.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
